package com.zanxiang.game.data.serve.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * packageName com.zanxiang.game.data.serve.pojo.vo
 *
 * @author ZhangXianyu
 * @date 2025/5/7
 * @description 角色聊天详情vo
 */
@Data
public class RoleChatDetailVO {
    @ApiModelProperty(value = "角色id")
    private Long roleId;
    @ApiModelProperty(value = "角色名称")
    private String roleName;
    @ApiModelProperty(value = "游戏id")
    private Long superGameId;
    @ApiModelProperty(value = "游戏名称")
    private String superGameName;
    @ApiModelProperty(value = "区服id")
    private Long serverId;
    @ApiModelProperty(value = "区服名称")
    private String serverName;
    @ApiModelProperty(value = "公会")
    private String country;
    @ApiModelProperty(value = "聊天日期")
    private LocalDateTime chatTime;
    @ApiModelProperty(value = "聊天内容")
    private String content;
}