package com.zanxiang.game.data.serve.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDate;
import java.time.LocalDateTime;

/**
 * packageName com.zanxiang.game.data.serve.pojo.vo
 *
 * @author ZhangXianyu
 * @date 2025/5/7
 * @description 角色聊天统计vo
 */
@Data
public class RoleChatVO {

    @ApiModelProperty(value = "角色id")
    private Long roleId;
    @ApiModelProperty(value = "角色名称")
    private String roleName;
    @ApiModelProperty(value = "日期")
    private LocalDate dt;
    @ApiModelProperty(value = "游戏id")
    private Long superGameId;
    @ApiModelProperty(value = "游戏名称")
    private String superGameName;
    @ApiModelProperty(value = "区服id")
    private Long serverId;
    @ApiModelProperty(value = "区服名称")
    private String serverName;
    @ApiModelProperty(value = "公会名称")
    private String country;
    @ApiModelProperty(value = "角色聊天总数")
    private Long roleChatCount;
    @ApiModelProperty(value = "最近聊天时间")
    private LocalDateTime lastChatTime;

}