package com.zanxiang.game.module.manage.pojo.params;

import com.zanxiang.game.module.mybatis.entity.UserRechargeWhite;
import com.zanxiang.module.web.pojo.BaseListDTO;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @author : lingfeng
 * @time : 2025-05-13
 * @description : 玩家充值白名单查询参数
 */
@Data
public class UserRechargeWhiteListParam extends BaseListDTO<UserRechargeWhite> {

    /**
     * 游戏id
     */
    @NotNull(message = "游戏id不能为空")
    private Long gameId;

    /**
     * 玩家账号/手机号/id
     */
    private String account;

    /**
     * 角色id
     */
    private String roleId;

    /**
     * 角色名称
     */
    private String roleName;
}
